---
title: llarp::dns::bits

---

# llarp::dns::bits



## Functions

|                | Name           |
| -------------- | -------------- |
| constexpr uint16_t | **[make_rcode](Namespaces/namespacellarp_1_1dns_1_1bits.md#function-make-rcode)**(uint16_t rcode) |

## Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr uint16_t | **[query_reply](Namespaces/namespacellarp_1_1dns_1_1bits.md#variable-query-reply)** <br>query reply bitmask  |
| constexpr uint16_t | **[authoritative](Namespaces/namespacellarp_1_1dns_1_1bits.md#variable-authoritative)** <br>authoritative response bitmask  |
| constexpr uint16_t | **[recursion_desired](Namespaces/namespacellarp_1_1dns_1_1bits.md#variable-recursion-desired)** <br>recursion desirsed bitmask  |
| constexpr uint16_t | **[recursion_allowed](Namespaces/namespacellarp_1_1dns_1_1bits.md#variable-recursion-allowed)**  |
| constexpr uint16_t | **[rcode_name_error](Namespaces/namespacellarp_1_1dns_1_1bits.md#variable-rcode-name-error)** <br>rcode for nx reply  |
| constexpr uint16_t | **[rcode_servfail](Namespaces/namespacellarp_1_1dns_1_1bits.md#variable-rcode-servfail)** <br>rcdode for srv fail  |
| constexpr uint16_t | **[rcode_no_error](Namespaces/namespacellarp_1_1dns_1_1bits.md#variable-rcode-no-error)** <br>recode for no error  |
| constexpr uint16_t | **[qclass_in](Namespaces/namespacellarp_1_1dns_1_1bits.md#variable-qclass-in)**  |


## Functions Documentation

### function make_rcode

```cpp
inline constexpr uint16_t make_rcode(
    uint16_t rcode
)
```



## Attributes Documentation

### variable query_reply

```cpp
constexpr uint16_t query_reply = 1 << 15;
```

query reply bitmask 

### variable authoritative

```cpp
constexpr uint16_t authoritative = 1 << 10;
```

authoritative response bitmask 

### variable recursion_desired

```cpp
constexpr uint16_t recursion_desired = 1 << 8;
```

recursion desirsed bitmask 

### variable recursion_allowed

```cpp
constexpr uint16_t recursion_allowed = 1 << 7;
```


### variable rcode_name_error

```cpp
constexpr uint16_t rcode_name_error = 3;
```

rcode for nx reply 

### variable rcode_servfail

```cpp
constexpr uint16_t rcode_servfail = 2;
```

rcdode for srv fail 

### variable rcode_no_error

```cpp
constexpr uint16_t rcode_no_error = 0;
```

recode for no error 

### variable qclass_in

```cpp
constexpr uint16_t qclass_in = 1;
```





-------------------------------

Updated on 2023-04-27 at 04:17:17 +0000